Skip to content

Get a time-series for a named metric

GET
/metrics/timeseries
curl --request GET \
--url 'https://shoehorn.example.com/api/v1/metrics/timeseries?metric=response_time&range=1h'

Returns timestamps and values for a single metric over a window. Currently generates synthetic data; treat the shape as stable but the values as illustrative until the Prometheus backend lands.

metric
required
string
Allowed values: response_time request_count error_rate cpu_usage memory_usage
range
string
default: 24h
Allowed values: 1h 24h 7d

Time-series data

Media type application/json
object
metric
string
timeRange
string
timestamps
Array<string>
values
Array<number>
Example generated
{
"metric": "example",
"timeRange": "example",
"timestamps": [
"2026-04-15T12:00:00Z"
],
"values": [
1
]
}

Metric query parameter missing